import java.awt.Graphics;
import java.util.ArrayList;
import javax.swing.JPanel;

/**
 * This a type of component, that holds and draws the drawable objects
 * 
 * @author CS2334. Modified by: ?????
 * @version October 26, 2017
 * Lab 10
 */
public class DrawPanel extends JPanel
{
    /** The list holding all the shapes being drawn */
    private ArrayList<Shape> shapeList = new ArrayList<Shape>();

    /**
     * This method adds shapes to the set of shapes.
     * 
     * @param shape The shape to be added to the set of shapes.
     */
    public void addShape(Shape shape)
    {
        shapeList.add(shape);
    }

    /**
     * Draw the shapes in the component, based on their defined draw method
     * 
     * @param graphics A Graphics object for drawing the shapes
     */
    @Override
    protected void paintComponent(Graphics graphics)
    {
        super.paintComponent(graphics);
        
        //loop through shapelist and draw each shape
        for (Shape shape : shapeList)
        {
            shape.draw(graphics);
        }
    }
}
